de.esprit.netsuite.netdata.enums

## Enum NetMessageType

- java.lang.Object
- - java.lang.Enum<NetMessageType>
  - - de.esprit.netsuite.netdata.enums.NetMessageType

- All Implemented Interfaces:
    NlsKey, CheckOption, java.io.Serializable, java.lang.Comparable<NetMessageType>

      public enum NetMessageType
      extends java.lang.Enum<NetMessageType>
      implements CheckOption

  This enum defines the types for messages sent by the server. The client uses this type information for dispatching the received message to the appropriate listener.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGENT_MESSAGE`
    `COMMAND_MESSAGE`
    `NET_EVENT`
    `PING_MESSAGE`
    `REMOTE_TASK_EVENT`
    `SERVER_ABO_EVENT`
    `SERVER_BATCH_TASK_EVENT`
    `SERVER_LOG_EVENT`
    `SERVER_MESSAGE`
    `SERVER_RECORD_CHANGE_EVENT`
    `SERVER_SHUTDOWN`
    `STATUS_DATA_SOURCE`
    `STATUS_FILE_TRANSFER`
    `STATUS_LOG_CHANNEL`
    `STATUS_LOG_FILE`
    `STATUS_PROC_CFG`
    `STATUS_RESOURCE_LOCK`
    `STATUS_TASK_EXECUTION`
    `SYSTEM_EVENT`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.Class` | `getMessageArgType()`
    `static NetMessageType[]` | `getServerStatusTypes()` Returns all message types that define messages caused by the server itself.
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `java.lang.String` | `getTranslationKey()`
    `boolean` | `isServerStatusMessage()` Tells whether this type of message is caused by the Server itself.
    `static NetMessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NetMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### PING_MESSAGE

          public static final NetMessageType PING_MESSAGE

    - #### AGENT_MESSAGE

          public static final NetMessageType AGENT_MESSAGE

    - #### COMMAND_MESSAGE

          public static final NetMessageType COMMAND_MESSAGE

    - #### SERVER_MESSAGE

          public static final NetMessageType SERVER_MESSAGE

    - #### SERVER_SHUTDOWN

          public static final NetMessageType SERVER_SHUTDOWN

    - #### SYSTEM_EVENT

          public static final NetMessageType SYSTEM_EVENT

    - #### REMOTE_TASK_EVENT

          public static final NetMessageType REMOTE_TASK_EVENT

    - #### NET_EVENT

          public static final NetMessageType NET_EVENT

    - #### SERVER_BATCH_TASK_EVENT

          public static final NetMessageType SERVER_BATCH_TASK_EVENT

    - #### SERVER_LOG_EVENT

          public static final NetMessageType SERVER_LOG_EVENT

    - #### SERVER_RECORD_CHANGE_EVENT

          public static final NetMessageType SERVER_RECORD_CHANGE_EVENT

    - #### SERVER_ABO_EVENT

          public static final NetMessageType SERVER_ABO_EVENT

    - #### STATUS_DATA_SOURCE

          public static final NetMessageType STATUS_DATA_SOURCE

    - #### STATUS_TASK_EXECUTION

          public static final NetMessageType STATUS_TASK_EXECUTION

    - #### STATUS_FILE_TRANSFER

          public static final NetMessageType STATUS_FILE_TRANSFER

    - #### STATUS_RESOURCE_LOCK

          public static final NetMessageType STATUS_RESOURCE_LOCK

    - #### STATUS_PROC_CFG

          public static final NetMessageType STATUS_PROC_CFG

    - #### STATUS_LOG_FILE

          public static final NetMessageType STATUS_LOG_FILE

    - #### STATUS_LOG_CHANNEL

          public static final NetMessageType STATUS_LOG_CHANNEL

  - ### Method Detail

    - #### values

          public static NetMessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetMessageType c : NetMessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetMessageType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMessageArgType

          public java.lang.Class getMessageArgType()

    - #### isServerStatusMessage

          public boolean isServerStatusMessage()

      Tells whether this type of message is caused by the Server itself. If a client wants to receive this message type it needs to register for it explicitly.
      See Also:
        `EventMessageTypeRegisterAgent`

    - #### getServerStatusTypes

          public static NetMessageType[] getServerStatusTypes()

      Returns all message types that define messages caused by the server itself.

    - #### getTranslationKey

          public java.lang.String getTranslationKey()

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.